<?php

include("_gestionBase.inc.php"); 
include("_controlesEtGestionErreurs.inc.php");
include("_connexion.inc.php");

// démarre la session et récupère l'action demandée
session_start();
@$action=$_REQUEST['action'];
@$id=$_REQUEST['id'];
@$mdp=$_REQUEST['mdp'];

switch ($action) {
  case "valider":
    if (estMdpPourId($connexion, $id, $mdp)) {
      if (estConventionSignee($connexion, $id)) {
        $_SESSION['id']=$id;
        header("Location: index.php");
        exit();    
      }
      else {
        ajouterErreur("Accès impossible : convention non signée !!!");   
      }
    }
    else {
      ajouterErreur("Code ou mot de passe invalide !");      
    }
    break;   
  case "ejecter":
    ajouterErreur("Connexion obligatoire !!!");  
    break; 
  case "deconnecter":
    $_SESSION = array();
    session_destroy();
    ajouterErreur("Déconnection réussie.");  
    break;    
}

include("_debut.inc.php");

echo "
    <!--formulaire-->
    <form method='post' action='identification.php?action=valider'>
      <table width='85%' cellspacing='0' cellpadding='0' align='center' class=
      'tabNonQuadrille'>
        <tr class='enTeteTabNonQuad'>
          <td colspan='3'>
            Connexion pour un établissement
          </td>
        </tr>
        <tr class='ligneTabNonQuad'>
          <td>
            Code établissement :
          </td>
          <td>
            <input type='text' value='$id' name='id' size='8' maxlength=
            '8'>
          </td>
        </tr>
        <tr class='ligneTabNonQuad'>
          <td>
            Mot de passe :
          </td>
          <td>
            <input type='text' value='$mdp' name='mdp' size='20' maxlength=
            '20'>
          </td>
        </tr>
      </table>
      <table align='center' cellspacing='15' cellpadding='0'>
        <tr>
          <td align='right'>
            <input type='submit' value='Valider' name='valider'>
          </td>
          <td align='left'>
            <input type='reset' value='Annuler' name='annuler'>
          </td>
        </tr>
      </table>
    </form>
    <!--/formulaire-->
";

if (nbErreurs()!=0)
{
  afficherErreurs();
}
      
?>
