<?php // bibliothèque de Modèles HTML Basiques ©PCo-fév2007

function htmlCharger($unNomFichierHTML) {
  $html=file_get_contents($unNomFichierHTML);
  $html=str_replace("\\\"", "&quot;", $html); 
  $html=str_replace("\"", "'", $html);
  return $html;
}

function htmlExtraire($unHTML, $unMarqueur="") {
  if ($unMarqueur=="") {
    $blocs=explode("<!--m:", $unHTML);
    $ret=$blocs[0];
  }
  else {
    $pat="#\<\!--m:$unMarqueur--\>(.*)\<\!--m:.*--\>#isU";
    if (preg_match($pat, $unHTML, $bloc)) {
      $ret=$bloc[1]; 
    }
    else {
      $pos=strpos($unHTML, $unMarqueur);
      if ($pos === FALSE) {
        $ret="_htmlModele.inc.php [!] Marqueur '<!--m:$unMarqueur--> inconnu";
      }   
      else {
        $ret=substr($unHTML, $pos+strlen($unMarqueur)+3);      
      }
   }
  }
  //echo htmlspecialchars($ret);
  return "echo \"$ret\n\";";
}

// exemple d'utilisation
/*
$page=htmlCharger("test.html");
// $nom="Philippe";
//eval(htmlExtraire($page));
eval(htmlExtraire($page));
eval(htmlExtraire($page, "debut"));
eval(htmlExtraire($page, "listeDebut"));
eval(htmlExtraire($page, "listeDoc"));
eval(htmlExtraire($page, "listeFin"));
eval(htmlExtraire($page, "fin"));
*/

?>
